# GRUB

## Commands

* crc
* drivemap
* false
* gettext
* gptsync
* initrd16
* linux16
* md5sum
* module
* multiboot
* net_add_addr
* net_add_dns
* net_add_route
* net_nootp
* net_del_addr
* net_del_dns
* net_del_route
* net_dhcp
* net_get_dhcp_option
* net_ipv6_autoconf
* net_ls_addr
* net_ls_cards
* net_ls_dns
* net_ls_routes
* net_nslookup
* parttool
* play
* rdmsr
* sendkey
* sha1sum
* wrmsr
* xen_hypervisor
* xen_module

* hashsum
* help
* insmod
* nativedisk
* rmmod
* sha256sum
* sha512sum

* background_color
* background_image
* boot
* cat
* clear
* configfile
* cryptomount
* date
* echo
* export
* halt
* initrd
* keystatus
* linux
* list_env
* list_trusted
* load_env
* loadfont
* loopback
* ls
  * (crypto?)
  * (hd?)
  * (hd?,*)
  * (lvm/*)
  * (md/*)
  * (memdisk)
* lsfonts
* lsmod
* menuentry
* normal
* normal_exit
* probe
* reboot
* regexp
* save_env
* search
* set
* source
* submenu
* terminal_input
* terminal_output
* terminfo
* true
* trust
* unset
* verify_detached

### x86_64-efi-signed

#### allowed

* sleep

#### denied

* eval
* read
* videoinfo

## Variables

* biosnum
* icondir
* net_default_interface
* pxe_blksize
* pxe_default_gateway
* superusers

* config_directory
* config_file

* debug
* default
* fallback
* gfxmode
* gfxpayload
* gfxterm_font
* menu_color_highlight
* menu_color_normal
* theme
* timeout
* timeout_style

### Function

* ?

### Persistent

* feature_200_final
* feature_all_video_module
* feature_chainloader_bpb
* feature_default_font_path
* feature_menuentry_id
* feature_menuentry_options
* feature_nativedisk_cmd
* feature_ntldr
* feature_platform_search_hint
* feature_timeout_style
* net_default_ip
* net_default_mac
* net_default_server
* pxe_default_server
* secondary_locale_dir

* check_signatures
* chosen
* cmdpath
  * (hd?,*)/efi/boot/bootx64.efi
  * (hd?)
* color_highlight
* color_normal
* grub_cpu
* grub_platform
* lang
* locale_dir
* pager
* prefix
* root

#### x86_64-efi-signed

* lockdown
* shim_lock
